<div class="modal-header">
  <h4 class="modal-title">Création d'un composant</h4>
  <button (click)="modal.dismiss()" class="close" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form #componentForm="ngForm" (ngSubmit)="submit(componentForm)">
    <div class="row">
      <div class="col-md-12">
        <div class="form-group">
          <div class="row mb-3">
            <div class="col-md-4">
              <label for="name">Nom</label>
              <input id="name" class="form-control" name="name" type="text" ngModel>
            </div>
            <div class="col-md-4">
              <label for="specification">Caractéristique</label>
              <select id="specification" name="specification" class="custom-select" ngModel>
                <option value="">----</option>
                <option *ngFor="let spec of specifications" [ngValue]="spec.id">{{spec.name}}</option>
              </select>
            </div>
            <div class="col-md-4">
              <label for="unit_of_use">Unité d'usage</label>
              <select id="unit_of_use" name="unit_of_use" class="custom-select" ngModel>
                <option value="">----</option>
                <option *ngFor="let unit of unitsOfUse" [ngValue]="unit.id">{{unit.name}}</option>
              </select>
            </div>
          </div>
          <div class="row mb-3">
            <div class="col-md-4">
              <label for="name">Montant</label>
              <input id="amount" class="form-control" name="amount" type="text" ngModel>
            </div>
            <div class="col-md-4">
              <label for="provider">Fournisseur</label>
              <select id="provider" name="provider" class="custom-select" ngModel>
                <option value="">----</option>
                <option *ngFor="let prov of providers" [ngValue]="prov.id">{{prov.name}}</option>
              </select>
            </div>
            <div class="col-md-4">
              <label for="component_family">Famille de composant</label>
              <select id="component_family" name="component_family" class="custom-select" ngModel>
                <option value="">----</option>
                <option *ngFor="let compFam of componentsFamilies" [ngValue]="compFam.id">{{compFam.name}}</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="white-space-20"></div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Annuler</button>
      <button class="btn btn-info pull-right" type="submit" [disabled]="!componentForm.form.valid">Ajouter</button>
    </div>
  </form>
</div>
